Rebuild npm install if package.json changed

RESOLVED FIXED

Status

Hello (Loop)
Client
P1
normal
RESOLVED FIXED
2 years ago
2 years ago

People

(Reporter: crafuse, Assigned: crafuse)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

User Story

The Make npm install will run when the json.package changes.

Attachments

(1 attachment)

Comment hidden (empty)
(Assignee)

Updated

2 years ago
User Story: (updated)
(Assignee)

Comment 1

2 years ago
Created attachment 8698273 [details] [review]
Link to Github pull-request: https://github.com/mozilla/loop/pull/11

Depend on node_modules and package.json
Attachment #8698273 - Flags: review?(dmose)
(Assignee)

Comment 2

2 years ago
TEST OUTPUT:

chrafuse@ubuntu:~/Documents/mozilla/loop$ make install
npm install
npm WARN unmet dependency /home/chrafuse/Documents/mozilla/loop/node_modules/karma/node_modules/connect requires compression@'~1.5.2' but will load
npm WARN unmet dependency /home/chrafuse/Documents/mozilla/loop/node_modules/compression,
npm WARN unmet dependency which is version 1.5.0
compression@1.5.0 node_modules/compression
├── bytes@2.1.0
├── on-headers@1.0.1
├── vary@1.0.1
├── debug@2.2.0 (ms@0.7.1)
├── compressible@2.0.6 (mime-db@1.20.0)
└── accepts@1.2.13 (negotiator@0.5.3, mime-types@2.1.8)
pip install -r require.pip
Requirement already satisfied (use --upgrade to upgrade): virtualenv==13.1.2 in /usr/local/lib/python2.7/dist-packages (from -r require.pip (line 2))
Cleaning up...
chrafuse@ubuntu:~/Documents/mozilla/loop$ make install
npm install
compression@1.5.2 node_modules/compression
├── bytes@2.1.0
├── on-headers@1.0.1
├── vary@1.0.1
├── debug@2.2.0 (ms@0.7.1)
├── compressible@2.0.6 (mime-db@1.20.0)
└── accepts@1.2.13 (negotiator@0.5.3, mime-types@2.1.8)
pip install -r require.pip
Requirement already satisfied (use --upgrade to upgrade): virtualenv==13.1.2 in /usr/local/lib/python2.7/dist-packages (from -r require.pip (line 2))
Cleaning up...
Comment on attachment 8698273 [details] [review]
Link to Github pull-request: https://github.com/mozilla/loop/pull/11

There's one comment on the PR. r=Standard8 with that fixed.
Attachment #8698273 - Flags: review?(dmose) → review+
(Assignee)

Comment 4

2 years ago
https://github.com/mozilla/loop/commit/8625988168f44fd5fdeaa4a40d291b9cedba893b
Status: ASSIGNED → RESOLVED
Iteration: --- → 46.1 - Dec 28
Last Resolved: 2 years ago
Resolution: --- → FIXED
Duplicate of this bug: 1213347
You need to log in before you can comment on or make changes to this bug.